Bug 1179165 - [SVVP]smbios HCT job failed with Unspecified error with -M pc-i440fx-rhel7.1.0
Summary: [SVVP]smbios HCT job failed with Unspecified error with -M pc-i440fx-rhel7.1.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 1180879 (view as bug list)
Depends On: 1177127
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-06 10:30 UTC by Mike Cao
Modified: 2015-03-05 09:57 UTC (History)
13 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-19.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1177127
Environment:
Last Closed: 2015-03-05 09:57:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Comment 3 Eduardo Habkost 2015-01-06 16:37:54 UTC
Do you have the full log containing the full smbios data dump?

Comment 4 Eduardo Habkost 2015-01-06 18:17:49 UTC
I think I found the bug. It was not reproducible with a 7GB VM, but it is reproducible with a 256GB VM (or any VM where the RAM size is a multiple of 16GB).

The fix should be simple:
-#define GET_DIMM_SZ ((i < dimm_cnt - 1) ? MAX_DIMM_SZ : ram_size % MAX_DIMM_SZ)
+#define GET_DIMM_SZ ((i < dimm_cnt - 1) ? MAX_DIMM_SZ : ((ram_size - 1) % MAX_DIMM_SZ) + 1)

I am submitting a scratch build for it.

Comment 5 Eduardo Habkost 2015-01-06 18:19:04 UTC
Scratch build: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=8461064

Please check if it solves the issue.

Comment 6 Mike Cao 2015-01-07 03:01:14 UTC
(In reply to Eduardo Habkost from comment #5)
> Scratch build: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=8461064
> 
> Please check if it solves the issue.

It fix the issue ,the job can pass smoothly.

Thanks for your efforts,
Mike

Comment 7 Eduardo Habkost 2015-01-07 18:26:28 UTC
Fix submitted upstream:

From: Eduardo Habkost <ehabkost@redhat.com>
To: qemu-devel@nongnu.org
Cc: Paolo Bonzini <pbonzini@redhat.com>, "Gabriel L. Somlo" <gsomlo@gmail.com>,
        Gerd Hoffmann <kraxel@redhat.com>
Subject: [PATCH 0/2] smbios: Fixes for SVVP tests
Date: Wed,  7 Jan 2015 15:36:32 -0200
Message-Id: <1420652194-3224-1-git-send-email-ehabkost@redhat.com>

Comment 8 Miroslav Rezanina 2015-01-13 11:26:52 UTC
Fix included in qemu-kvm-rhev-2.1.2-19.el7

Comment 10 Eduardo Habkost 2015-01-13 16:21:51 UTC
*** Bug 1180879 has been marked as a duplicate of this bug. ***

Comment 11 Mike Cao 2015-01-14 06:46:42 UTC
Verified this issue on qemu-kvm-rhev-2.1.2-19.el7

Steps same as comment#0

Actual Results:
Job can pass

Based on above ,this issue has been fixed ald on windows platform

xiagao ,pls verify it on Linux platform ,thanks,
Mike

Comment 12 xiagao 2015-01-14 09:25:52 UTC
Tested with qemu-kvm-rhev-2.1.2-19.el7:

1.  -m 16384
    -M pc-i440fx-rhel7.1.0 --> mem size can be recognized

[root@dhcp-66-106-173 ~]# dmidecode -t 17
# dmidecode 2.12
SMBIOS 2.8 present.

Handle 0x1100, DMI type 17, 40 bytes
Memory Device
	Array Handle: 0x1000
	Error Information Handle: Not Provided
	Total Width: Unknown
	Data Width: Unknown
	Size: 16384 MB
	Form Factor: DIMM
	Set: None
	Locator: DIMM 0
	Bank Locator: Not Specified
	Type: RAM
	Type Detail: Other
	Speed: Unknown
	Manufacturer: Red Hat
	Serial Number: Not Specified
	Asset Tag: Not Specified
	Part Number: Not Specified
	Rank: Unknown
	Configured Clock Speed: Unknown
	Minimum Voltage:  Unknown
	Maximum Voltage:  Unknown
	Configured Voltage:  Unknown

Mem size can be recognized correctly.
But there are still some 'Unknown' parts.

2. I think the expected result is just like the following:

-m 16384
-M pc-i440fx-rhel7.0.0

[root@dhcp-66-106-173 ~]# dmidecode -t 17
# dmidecode 2.12
SMBIOS 2.4 present.

Handle 0x1100, DMI type 17, 21 bytes
Memory Device
	Array Handle: 0x1000
	Error Information Handle: 0x0000
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 16384 MB
	Form Factor: DIMM
	Set: None
	Locator: DIMM 0
	Bank Locator: Not Specified
	Type: RAM
	Type Detail: None


Hi Eduardo,

Could you help check it?

Thanks.

Comment 13 xiagao 2015-01-15 03:10:54 UTC
Comment 6 on BZ1180879

Verified this issue on linux platform with qemu-kvm-rhev-2.1.2-19.el7.

thanks,
xiagao

Comment 14 juzhang 2015-01-15 09:18:38 UTC
According to comment11 and comment13, set this issue as verified.

Comment 17 errata-xmlrpc 2015-03-05 09:57:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.